%define relnumber 3
%define build_mdk %(if [[ `grep Mandrake /etc/mandrake-release` ]];then echo 1; else echo 0; fi)
%define build_mdk8 %(if [ `awk '{print $4}' /etc/mandrake-release|cut -f1 -d'.'` = 8 ];then echo 1; else echo 0; fi)

%if %build_mdk8 
%global _iconsdir	%{_datadir}/icons/
%global _miconsdir	%{_datadir}/icons/mini
%global _liconsdir	%{_datadir}/icons/large
%global _menudir	%{_libdir}/menu
%define _prefix        /opt/kde3
%endif


Name: 			kile
Summary: 		Integrated LaTeX Environment for KDE3
Version: 		1.6.1
Source:	 		%name-%version.tar.bz2
License: 		GPL
Release: 		1mdk
Group: 			Publishing
Url: 			http://kile.sourceforge.net
BuildRoot:              %{_tmppath}/%{name}-buildroot
Requires: 		tetex-latex
Buildrequires:		libqt-devel

%if %build_mdk8
BuildRequires: kdegraphics3 >= 3
%else
BuildRequires: kdegraphics >= 3
%endif

%description
Integrated LaTeX Environment for KDE3
%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -q

%build

CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix --disable-rpath --disable-debug 

%make

%install

make install DESTDIR=%buildroot

# menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}

cat > $RPM_BUILD_ROOT/%{_menudir}/kile <<EOF
?package(kile):\
needs="x11"\
section="Office/Publishing"\
title="Kile"\
longtitle="Integrated LaTeX Environment for KDE3"\
command="%{_bindir}/kile"\
icon="kile.png"
EOF

install -D -m644 $RPM_BUILD_ROOT/%{_iconsdir}/crystalsvg/32x32/apps/kile.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -D -m644 $RPM_BUILD_ROOT/%{_iconsdir}/crystalsvg/16x16/apps/kile.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -D -m644 $RPM_BUILD_ROOT/%{_iconsdir}/crystalsvg/48x48/apps/kile.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -fr %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc INSTALL README

%_menudir/*
%_bindir/*

%_datadir/applications/kde/*.desktop
%_datadir/mimelnk/text/*

%dir %_datadir/apps/kile/
%_datadir/apps/kile/*.rc

%dir %_datadir/apps/kile/mathsymbols/
%_datadir/apps/kile/mathsymbols/*.png

%dir %_datadir/apps/kile/pics/
%_datadir/apps/kile/pics/*.png

%_datadir/apps/katepart/syntax/*

%_datadir/icons/crystalsvg/16x16/apps/*.png
%_datadir/icons/crystalsvg/22x22/apps/*.png
%_datadir/icons/crystalsvg/32x32/apps/*.png
%_datadir/icons/crystalsvg/48x48/apps/*.png


%dir %_datadir/apps/kile/templates/
%_datadir/apps/kile/templates/*.tex

%dir %_docdir/HTML/en/kile/
%doc %_docdir/HTML/en/kile/TODO
%doc %_docdir/HTML/en/kile/*.png
%doc %_docdir/HTML/en/kile/*.bz2
%doc %_docdir/HTML/en/kile/*.docbook
%doc %_docdir/HTML/en/kile/common
%doc %_docdir/HTML/en/kile/*.html

%dir %_docdir/HTML/it/kile/
%doc %_docdir/HTML/it/kile/*.png
%doc %_docdir/HTML/it/kile/*.bz2
%doc %_docdir/HTML/it/kile/*.docbook
%doc %_docdir/HTML/it/kile/common
%doc %_docdir/HTML/it/kile/*.html

%dir %_docdir/HTML/sv/kile/
%doc %_docdir/HTML/sv/kile/*.png
%doc %_docdir/HTML/sv/kile/*.bz2
%doc %_docdir/HTML/sv/kile/*.docbook
%doc %_docdir/HTML/sv/kile/common
%doc %_docdir/HTML/sv/kile/*.html


%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Feb 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- fix menu

* Mon Nov 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- 1.6

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.2-1mdk
- rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- buildrequires & I hate your bot Stefan ! :-)

* Tue Apr 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- real 1.4
- clean spec

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4
- use lang macro
- clean spec

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-3mdk
- Rebuild

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.31-2mdk
- 1.31

* Sat Nov 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Rebuild
- Add patch1 : fix gcc-3.2 compile

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3 

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-0.beta1.1mdk
- 1.3beta1

* Thu Sep 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Clean spec file ! => Spec file was illegible !
=> Use this spec file for generate suse or redhat package, I don't
think that it's necessary !


* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- 1.2

* Sun Aug 18 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-3mdk
- gcc 3.2 rebuild

* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-2mdk
- Club->cooker
- Buildrequires kdegraphics
* Sun Jul 28 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-1mdk
- Merge Mandrake/Redhat/SuSE Spec files with auto-detection
  of Redhat and Mandrake 8.x, setting prefix accordingly.
- Add icons
- Require tetex-latex
- Prevent kile from owning every dir it has a file in.



